<header class="navbar navbar-expand-md navbar-dark bg-primary">
  <div class="container">
    <a class="navbar-brand" href="{{ "/" | relative_url }}">{{ site.title | escape }}</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    {%- assign default_paths = site.pages | map: "path" -%}
    {%- assign page_paths = site.header_pages | default: default_paths -%}
    {%- if page_paths -%}
      <nav class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
          {%- for path in page_paths -%}
            {%- assign all_pages = site.pages | concat: site.documents -%}
            {%- assign my_page = all_pages | where: "path", path | first -%}
            {%- if my_page.title -%}
              <li class="nav-item">
                <a class="nav-link" href="{{ my_page.url | relative_url }}">{{ my_page.title | escape }}</a>
              </li>
            {%- endif -%}
          {%- endfor -%}
        </ul>
      </nav>
    {%- endif -%}
  </div>
</header>
